更新时间:2020 年 11 月 5 日

VMware Tools | 2020 年 11 月 5 日 | 内部版本 17030940

查看本发行说明的补充和更新。

发行说明内容

本发行说明包含以下主题:

新增功能

  • OSS 更新:
    • openssl 版本已升级到 1.0.2v。
    • libpng 版本已升级到 1.6.37。
    • libxml2 版本已升级到 2.9.10。

以前的 VMware Tools 版本

  • 对于更早版本的 VMware Tools,请参见 VMware Tools 文档页面。

开始之前

  • VMware Tools 10.3.23 支持以下客户机操作系统:
    • linux.iso 支持 Linux 客户机操作系统 Red Hat Enterprise Linux (RHEL) 6、SUSE Linux Enterprise Server (SLES) 11 和 Ubuntu 12.04。此外,还支持包含 glibc 版本 2.5 及更高版本的其他发行版。

      对于上述客户机操作系统的更高版本:Red Hat Enterprise Linux (RHEL) 7 和更高版本、SUSE Linux Enterprise Server (SLES) 12 和更高版本、Ubuntu 14.04 和更高版本,建议安装操作系统供应商提供的 open-vm-tools。有关说明,请参阅安装 open-vm-tools。有关更多详细信息,请参见知识库文章 2073803
       
  • 对于某些生命周期结束的客户机操作系统,VMware Tools ISO 映像处于冻结状态。某些 ISO 映像未随 tools-light VIB 中的 ESXi 一起提供。有关更多详细信息,请参见 VMware Tools 文档页面。所有 VMware Tools ISO 映像都可从 http://my.vmware.com 下载。

    注意:
    对于其他 ISO,请使用 VMware Tools 10.3.10 或 11.0.0 版本。

有关升级至 ESXi 6.5 或更高版本的重要说明

不兼容问题的解决方法和一般准则:在将 ESXi 主机升级至 ESXi 6.5 或更高版本并使用较低版本的 Horizon View Agent 时,请参阅以下知识库文章:

国际化

VMware Tools 10.3.23 提供以下语言版本:

  • 英语
  • 法语
  • 德语
  • 西班牙语
  • 意大利语
  • 日语
  • 韩语
  • 简体中文
  • 繁体中文

终止功能支持声明

  • VMware Tools 10.3.5 停止提供对 Tar 工具和 OSP 的功能支持。 
    将继续支持 VMware Tools 10.3.5 版本附带的 Tar 工具 (linux.iso) 和 OSP。但是,VMware Tools 10.3.5 之后的版本仅包含关键修复和安全修复,而不再支持这些类型的 VMware Tools(Tar 工具和 OSP)中的新功能。对于支持 open-vm-tools 的操作系统,建议客户使用 open-vm-tools。有关各种类型的 VMware Tools 的更多信息,请参见 https://blogs.vmware.com/vsphere/2016/02/understanding-the-three-types-of-vm-tools.html

兼容性说明

  • 从 VMware Tools 版本 10.2.0 开始,不再支持使用 Perl 脚本安装适用于 FreeBSD 的 VMware Tools。只能通过 open-vm-tools 软件包支持 FreeBSD 系统,该软件包可直接从 FreeBSD 软件包存储库中获取。适用于 open-vm-tools 10.1.0 及更高版本的 FreeBSD 软件包可从 FreeBSD 软件包存储库中获取。

客户机操作系统自定义支持

客户机操作系统自定义支持列表详细介绍了支持自定义的客户机操作系统。

互操作性列表

VMware 产品互操作性列表详细介绍了当前及早期版本的 VMware 产品的兼容性。 

此版本的安装和升级

可以从产品下载页面下载 VMware Tools。

可以从 http://packages.vmware.com/tools/releases/index.html 下载 VMware Tools 操作系统特定软件包。有关安装 OSP 的详细信息,请参见《VMware Tools 操作系统特定软件包安装指南》

VMware Tools 的安装步骤取决于您的 VMware 产品和您安装的客户机操作系统。有关在大部分 VMware 产品中安装 VMware Tools 的常规步骤,请参见 VMware Tools 常规安装说明 (1014294)。要设置 productLocker 以指向共享的数据存储,请参见知识库文章 2004018

有关安装、升级和配置 VMware Tools 的具体说明,请参见 VMware Tools 文档页面。

注意: 

如果使用的是 V9.4 以下的 VMware Tools 版本,请参阅 VMware Tools 10.1.0 发行说明,了解具体的升级准则。

已解决的问题

  • 在较早 Linux 版本(包括 RHEL5)上安装 VMware Tools 失败。

    升级到 VMware Tools 10.3.23 版本时,需要 glibc-2.11 或更高版本才能在较早 Linux 版本(包括 RHEL5)上成功安装 VMware Tools。

    如果用户尝试在不受支持的 Linux 客户机上安装 VMware Tools 10.3.23,则会将其定向到知识库文章 2147454。此知识库文章提供了有关选择该客户机支持的正确 VMware Tools 版本的指导。

已知问题

  • 拖动功能在 Ubuntu 中无法正常工作。

    拖动功能在使用简易安装方式安装的 Ubuntu 16.04.4 32 位虚拟机中无法正常工作。此外,在此系统中还存在复制和粘贴功能失败的问题。

    注意:在 Workstation 和 Fusion 上运行的 VMware Tools 会出现此问题。

    解决方法:

    • 添加 modprobe.blacklist=vmwgfx Linux 内核引导选项。
    • 要获得较高的分辨率,请从 VMX 文件中移除 svga.guestBackedPrimaryAware = "TRUE" 选项。
  • 无法在 Linux 虚拟机上执行共享文件夹挂载操作。

    如果在关闭了电源的 Linux 虚拟机上启用共享文件夹功能,重新启动时无法执行共享文件夹挂载操作。

    注意:在 Workstation 和 Fusion 上运行的 VMware Tools 会出现此问题。

    解决方法:

    如果虚拟机已打开电源,则可以从界面中禁用和启用共享文件夹功能。
    为了永久解决此问题,请编辑 /etc/fstab 并添加一个条目,以在引导时自动挂载共享文件夹。
    例如,添加以下行:
    vmhgfs-fuse   /mnt/hgfs    fuse    defaults,allow_other    0    0

check-circle-line exclamation-circle-line close-line
Scroll to top icon